<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>SimFQT Documentation</title>
    <filename>main</filename>
    <docanchor file="main">development</docanchor>
    <docanchor file="main">about</docanchor>
    <docanchor file="main">at_sourceforge</docanchor>
    <docanchor file="main">getting_started</docanchor>
    <docanchor file="main">N</docanchor>
    <docanchor file="main">social_sponsorship</docanchor>
    <docanchor file="main">external_libs</docanchor>
  </compound>
  <compound kind="file">
    <name>authors.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>authors_8doc</filename>
  </compound>
  <compound kind="file">
    <name>codingrules.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>codingrules_8doc</filename>
  </compound>
  <compound kind="file">
    <name>copyright.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>copyright_8doc</filename>
  </compound>
  <compound kind="file">
    <name>documentation.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>documentation_8doc</filename>
  </compound>
  <compound kind="file">
    <name>features.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>features_8doc</filename>
  </compound>
  <compound kind="file">
    <name>help_wanted.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>help__wanted_8doc</filename>
  </compound>
  <compound kind="file">
    <name>howto_release.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>howto__release_8doc</filename>
  </compound>
  <compound kind="file">
    <name>index.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>index_8doc</filename>
  </compound>
  <compound kind="file">
    <name>installation.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>installation_8doc</filename>
  </compound>
  <compound kind="file">
    <name>linking.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>linking_8doc</filename>
  </compound>
  <compound kind="file">
    <name>test.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>test_8doc</filename>
  </compound>
  <compound kind="file">
    <name>users_guide.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>users__guide_8doc</filename>
  </compound>
  <compound kind="file">
    <name>verification.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/local/</path>
    <filename>verification_8doc</filename>
  </compound>
  <compound kind="file">
    <name>tutorial.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/doc/tutorial/</path>
    <filename>tutorial_8doc</filename>
  </compound>
  <compound kind="file">
    <name>BasConst.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/basic/</path>
    <filename>BasConst_8cpp</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" imported="no">simfqt/basic/BasConst_General.hpp</includes>
    <includes id="BasConst__SIMFQT__Service_8hpp" name="BasConst_SIMFQT_Service.hpp" local="no" imported="no">simfqt/basic/BasConst_SIMFQT_Service.hpp</includes>
    <namespace>SIMFQT</namespace>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_FARE_QUOTER_ID</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>e62218d6e388b9291db1135443cb9b79</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BasConst_General.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/basic/</path>
    <filename>BasConst__General_8hpp</filename>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst_SIMFQT_Service.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/basic/</path>
    <filename>BasConst__SIMFQT__Service_8hpp</filename>
    <namespace>SIMFQT</namespace>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_FARE_QUOTER_ID</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>e62218d6e388b9291db1135443cb9b79</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>simfqt_parseFareRules.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/batches/</path>
    <filename>simfqt__parseFareRules_8cpp</filename>
    <includes id="SIMFQT__Service_8hpp" name="SIMFQT_Service.hpp" local="no" imported="no">simfqt/SIMFQT_Service.hpp</includes>
    <member kind="typedef">
      <type>std::vector&lt; std::string &gt;</type>
      <name>WordList_T</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>e4a2c862ff4127db2fd373a6354725c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_SIMFQT_DEFAULT_LOG_FILENAME</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>8504df892f768ea91fa111b4b7140a5d</anchor>
      <arglist>(&quot;simfqt_parseFareRules.log&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_SIMFQT_DEFAULT_FARE_INPUT_FILENAME</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>b17e3b66fa7ffc10cd474ba509ef13a0</anchor>
      <arglist>(STDAIR_SAMPLE_DIR&quot;/fare01.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>5a7cea50910cfa6acdfd9d9b60f972b8</anchor>
      <arglist>(std::ostream &amp;os, const std::vector&lt; T &gt; &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readConfiguration</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>673dbff2bcfbc2631f7317ac33dde609</anchor>
      <arglist>(int argc, char *argv[], bool &amp;ioIsBuiltin, stdair::Filename_T &amp;ioFareInputFilename, std::string &amp;ioLogFilename)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>28052c36c3b61c6c0eaa18f5d226118f</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>K_SIMFQT_DEFAULT_BUILT_IN_INPUT</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>f3aa05c2cb836cc4e2d7b8353daa7116</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const int</type>
      <name>K_SIMFQT_EARLY_RETURN_STATUS</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>7ceb7f67baf8205df81b6016186fdc17</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FareRuleStruct.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/bom/</path>
    <filename>FareRuleStruct_8cpp</filename>
    <includes id="FareRuleStruct_8hpp" name="FareRuleStruct.hpp" local="no" imported="no">simfqt/bom/FareRuleStruct.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareRuleStruct.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/bom/</path>
    <filename>FareRuleStruct_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>SIMFQT</namespace>
    <class kind="struct">SIMFQT::FareRuleStruct</class>
  </compound>
  <compound kind="file">
    <name>FareParser.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/command/</path>
    <filename>FareParser_8cpp</filename>
    <includes id="FareParserHelper_8hpp" name="FareParserHelper.hpp" local="no" imported="no">simfqt/command/FareParserHelper.hpp</includes>
    <includes id="FareParser_8hpp" name="FareParser.hpp" local="no" imported="no">simfqt/command/FareParser.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareParser.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/command/</path>
    <filename>FareParser_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::FareParser</class>
  </compound>
  <compound kind="file">
    <name>FareParserHelper.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/command/</path>
    <filename>FareParserHelper_8cpp</filename>
    <includes id="FareParserHelper_8hpp" name="FareParserHelper.hpp" local="no" imported="no">simfqt/command/FareParserHelper.hpp</includes>
    <includes id="FareRuleGenerator_8hpp" name="FareRuleGenerator.hpp" local="no" imported="no">simfqt/command/FareRuleGenerator.hpp</includes>
    <namespace>SIMFQT</namespace>
    <namespace>SIMFQT::FareParserHelper</namespace>
    <class kind="struct">SIMFQT::FareParserHelper::FareRuleParser</class>
    <member kind="variable">
      <type>stdair::int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>cb66e621b08e7b735f997bbc528c834a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>5ef4a3968127433342eebee515dc3b03</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>52250555469629787e97ec9b593cee15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>1e1833ca22c280add43589a9bf02d032</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_p_t</type>
      <name>hour_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>5fd21c5cb01a01502a5612f96ffced82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_p_t</type>
      <name>minute_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>7e17b1ab55f3c1116ba4462b9583d82f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_p_t</type>
      <name>second_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>17730b7872d3a8b13ee7c9456be0e677</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>1ffab1b32a16c2b9e5ebcb94e5e88d1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>62a9e1f6547aa6d645fefe2f6acfc984</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>4abb57303e9c192ea2f03b3837b976b0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FareParserHelper.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/command/</path>
    <filename>FareParserHelper_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <includes id="FareRuleStruct_8hpp" name="FareRuleStruct.hpp" local="no" imported="no">simfqt/bom/FareRuleStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <namespace>SIMFQT::FareParserHelper</namespace>
    <class kind="struct">SIMFQT::FareParserHelper::ParserSemanticAction</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFareId</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeOrigin</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDestination</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeTripType</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeStart</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeEnd</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeStartRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeEndRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storePOS</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeCabinCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChannel</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAdvancePurchase</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeSaturdayStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChangeFees</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeNonRefundable</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeMinimumStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFare</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAirlineCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeClass</class>
    <class kind="struct">SIMFQT::FareParserHelper::doEndFare</class>
    <class kind="class">SIMFQT::FareRuleFileParser</class>
  </compound>
  <compound kind="file">
    <name>FareQuoter.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/command/</path>
    <filename>FareQuoter_8cpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <includes id="FareQuoter_8hpp" name="FareQuoter.hpp" local="no" imported="no">simfqt/command/FareQuoter.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareQuoter.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/command/</path>
    <filename>FareQuoter_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::FareQuoter</class>
  </compound>
  <compound kind="file">
    <name>FareRuleGenerator.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/command/</path>
    <filename>FareRuleGenerator_8cpp</filename>
    <includes id="FareRuleStruct_8hpp" name="FareRuleStruct.hpp" local="no" imported="no">simfqt/bom/FareRuleStruct.hpp</includes>
    <includes id="FareRuleGenerator_8hpp" name="FareRuleGenerator.hpp" local="no" imported="no">simfqt/command/FareRuleGenerator.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareRuleGenerator.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/command/</path>
    <filename>FareRuleGenerator_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <namespace>SIMFQT::FareParserHelper</namespace>
    <class kind="class">SIMFQT::FareRuleGenerator</class>
  </compound>
  <compound kind="file">
    <name>FacSimfqtServiceContext.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/factory/</path>
    <filename>FacSimfqtServiceContext_8cpp</filename>
    <includes id="FacSimfqtServiceContext_8hpp" name="FacSimfqtServiceContext.hpp" local="no" imported="no">simfqt/factory/FacSimfqtServiceContext.hpp</includes>
    <includes id="SIMFQT__ServiceContext_8hpp" name="SIMFQT_ServiceContext.hpp" local="no" imported="no">simfqt/service/SIMFQT_ServiceContext.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FacSimfqtServiceContext.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/factory/</path>
    <filename>FacSimfqtServiceContext_8hpp</filename>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::FacSimfqtServiceContext</class>
  </compound>
  <compound kind="file">
    <name>SIMFQT_Service.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/service/</path>
    <filename>SIMFQT__Service_8cpp</filename>
    <includes id="BasConst__SIMFQT__Service_8hpp" name="BasConst_SIMFQT_Service.hpp" local="no" imported="no">simfqt/basic/BasConst_SIMFQT_Service.hpp</includes>
    <includes id="FacSimfqtServiceContext_8hpp" name="FacSimfqtServiceContext.hpp" local="no" imported="no">simfqt/factory/FacSimfqtServiceContext.hpp</includes>
    <includes id="FareParser_8hpp" name="FareParser.hpp" local="no" imported="no">simfqt/command/FareParser.hpp</includes>
    <includes id="FareQuoter_8hpp" name="FareQuoter.hpp" local="no" imported="no">simfqt/command/FareQuoter.hpp</includes>
    <includes id="SIMFQT__ServiceContext_8hpp" name="SIMFQT_ServiceContext.hpp" local="no" imported="no">simfqt/service/SIMFQT_ServiceContext.hpp</includes>
    <includes id="SIMFQT__Service_8hpp" name="SIMFQT_Service.hpp" local="no" imported="no">simfqt/SIMFQT_Service.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>SIMFQT_ServiceContext.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/service/</path>
    <filename>SIMFQT__ServiceContext_8cpp</filename>
    <includes id="BasConst__SIMFQT__Service_8hpp" name="BasConst_SIMFQT_Service.hpp" local="no" imported="no">simfqt/basic/BasConst_SIMFQT_Service.hpp</includes>
    <includes id="SIMFQT__ServiceContext_8hpp" name="SIMFQT_ServiceContext.hpp" local="no" imported="no">simfqt/service/SIMFQT_ServiceContext.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>SIMFQT_ServiceContext.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/service/</path>
    <filename>SIMFQT__ServiceContext_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::SIMFQT_ServiceContext</class>
  </compound>
  <compound kind="file">
    <name>SIMFQT_Service.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/</path>
    <filename>SIMFQT__Service_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::SIMFQT_Service</class>
  </compound>
  <compound kind="file">
    <name>SIMFQT_Types.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/</path>
    <filename>SIMFQT__Types_8hpp</filename>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::FareFileParsingFailedException</class>
    <class kind="class">SIMFQT::AirportPairNotFoundException</class>
    <class kind="class">SIMFQT::PosOrChannelNotFoundException</class>
    <class kind="class">SIMFQT::FlightDateNotFoundException</class>
    <class kind="class">SIMFQT::FlightTimeNotFoundException</class>
    <class kind="class">SIMFQT::FeaturesNotFoundException</class>
    <class kind="class">SIMFQT::AirlineNotFoundException</class>
    <class kind="class">SIMFQT::FareInputFileNotFoundException</class>
    <class kind="class">SIMFQT::QuotingException</class>
    <class kind="class">SIMFQT::FareFilePath</class>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>FareQuoteID_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>a67bd5ce989f1df86bbe9eb5e392166e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; SIMFQT_Service &gt;</type>
      <name>SIMFQT_ServicePtr_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>d021582382e80eb46bd161624d7f025e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>simfqt.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/ui/cmdline/</path>
    <filename>simfqt_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>FQTTestSuite.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/test/simfqt/</path>
    <filename>FQTTestSuite_8cpp</filename>
  </compound>
  <compound kind="page">
    <name>authors</name>
    <title>People</title>
    <filename>authors</filename>
    <docanchor file="authors">admins</docanchor>
    <docanchor file="authors">retired</docanchor>
    <docanchor file="main">N</docanchor>
    <docanchor file="authors">contributors</docanchor>
    <docanchor file="authors">distributors</docanchor>
  </compound>
  <compound kind="page">
    <name>coding_rules</name>
    <title>Coding Rules</title>
    <filename>coding_rules</filename>
    <docanchor file="coding_rules">cr_files</docanchor>
    <docanchor file="coding_rules">cr_classes</docanchor>
    <docanchor file="coding_rules">cr_variables</docanchor>
    <docanchor file="coding_rules">cr_functions</docanchor>
    <docanchor file="coding_rules">cr_classes_functionality</docanchor>
  </compound>
  <compound kind="page">
    <name>copyright</name>
    <title>Copyright and License</title>
    <filename>copyright</filename>
    <docanchor file="copyright">nowarranty</docanchor>
    <docanchor file="copyright">preamble</docanchor>
    <docanchor file="copyright">endofterms</docanchor>
    <docanchor file="copyright">gnugpl</docanchor>
    <docanchor file="copyright">howtoapply</docanchor>
    <docanchor file="copyright">version</docanchor>
    <docanchor file="copyright">terms</docanchor>
  </compound>
  <compound kind="page">
    <name>documentation</name>
    <title>Documentation Rules</title>
    <filename>documentation</filename>
    <docanchor file="documentation">doc_header</docanchor>
    <docanchor file="documentation">doc_groups</docanchor>
    <docanchor file="documentation">doc_general</docanchor>
  </compound>
  <compound kind="page">
    <name>features</name>
    <title>Main features</title>
    <filename>features</filename>
    <docanchor file="features">ft_fare_rule_engine</docanchor>
    <docanchor file="features">ft_others</docanchor>
    <docanchor file="features">ft_fare_calculation</docanchor>
    <docanchor file="features">ft_fare_retrieval</docanchor>
  </compound>
  <compound kind="page">
    <name>help_wanted</name>
    <title>Make a Difference</title>
    <filename>help_wanted</filename>
  </compound>
  <compound kind="page">
    <name>howto_release</name>
    <title>Make a new release</title>
    <filename>howto_release</filename>
    <docanchor file="howto_release">send_announce</docanchor>
    <docanchor file="howto_release">upload_files</docanchor>
    <docanchor file="howto_release">create_bin_packages</docanchor>
    <docanchor file="howto_release">update_changelog</docanchor>
    <docanchor file="howto_release">branch_creation</docanchor>
    <docanchor file="howto_release">post_news</docanchor>
    <docanchor file="howto_release">branch_publish</docanchor>
    <docanchor file="howto_release">create_packages</docanchor>
    <docanchor file="howto_release">generate_rpm_packages</docanchor>
    <docanchor file="howto_release">upload_doc</docanchor>
    <docanchor file="howto_release">initialisation</docanchor>
    <docanchor file="howto_release">description</docanchor>
  </compound>
  <compound kind="page">
    <name>installation</name>
    <title>Installation</title>
    <filename>installation</filename>
    <docanchor file="installation">basic_instructions</docanchor>
    <docanchor file="verification">toc</docanchor>
    <docanchor file="installation">compilers</docanchor>
    <docanchor file="installation">installation_names</docanchor>
    <docanchor file="installation">sharing_defaults</docanchor>
    <docanchor file="installation">compiling_for_multi_arch</docanchor>
    <docanchor file="installation">requirements</docanchor>
    <docanchor file="installation">cmake_invocation</docanchor>
    <docanchor file="installation">optional_features</docanchor>
    <docanchor file="installation">defining_variables</docanchor>
    <docanchor file="installation">specifying_system_type</docanchor>
    <docanchor file="installation">particular_systems</docanchor>
    <docanchor file="installation">rpm_linux</docanchor>
  </compound>
  <compound kind="page">
    <name>linking</name>
    <title>Linking with SimFQT</title>
    <filename>linking</filename>
    <docanchor file="linking">dependencies</docanchor>
    <docanchor file="verification">toc</docanchor>
    <docanchor file="verification">intro</docanchor>
    <docanchor file="linking">pkgconfig</docanchor>
    <docanchor file="linking">dynamiclinking</docanchor>
    <docanchor file="linking">autotools</docanchor>
    <docanchor file="linking">simfqt_config</docanchor>
    <docanchor file="linking">stdairdep</docanchor>
  </compound>
  <compound kind="page">
    <name>test</name>
    <title>Test Rules</title>
    <filename>test</filename>
    <docanchor file="test">test_file</docanchor>
    <docanchor file="test">reference_file</docanchor>
    <docanchor file="test">testing_using_make</docanchor>
  </compound>
  <compound kind="page">
    <name>users_guide</name>
    <title>Users Guide</title>
    <filename>users_guide</filename>
    <docanchor file="users_guide">ug_procedure_bookingrequest</docanchor>
    <docanchor file="users_guide">ug_build_binaries</docanchor>
    <docanchor file="users_guide">ug_error_message</docanchor>
    <docanchor file="users_guide">ug_bom_structure</docanchor>
    <docanchor file="users_guide">ug_error_message_input_not_found</docanchor>
    <docanchor file="users_guide">ug_inputfile</docanchor>
    <docanchor file="users_guide">ug_bom_build</docanchor>
    <docanchor file="users_guide">ug_introduction</docanchor>
    <docanchor file="users_guide">ug_procedure</docanchor>
    <docanchor file="users_guide">ug_error_message_missing_fare_rule</docanchor>
    <docanchor file="users_guide">ug_bom_display</docanchor>
    <docanchor file="users_guide">ug_get_started</docanchor>
    <docanchor file="users_guide">ug_toc</docanchor>
    <docanchor file="users_guide">ug_get_source</docanchor>
    <docanchor file="users_guide">ug_bom_bom</docanchor>
    <docanchor file="users_guide">ug_install_project</docanchor>
    <docanchor file="users_guide">ug_build_and_run_tests</docanchor>
    <docanchor file="users_guide">ug_error_message_input_not_parsed</docanchor>
    <docanchor file="users_guide">ug_procedure_fareQuote</docanchor>
    <docanchor file="users_guide">ug_procedure_travelsolution</docanchor>
  </compound>
  <compound kind="page">
    <name>verification</name>
    <title>Supported Systems</title>
    <filename>verification</filename>
    <docanchor file="verification">cygwin_atlas</docanchor>
    <docanchor file="verification">gentoo_acml</docanchor>
    <docanchor file="verification">fedora_atlas</docanchor>
    <docanchor file="verification">simfqt_3_10</docanchor>
    <docanchor file="verification">gentoo_netlib</docanchor>
    <docanchor file="verification">toc</docanchor>
    <docanchor file="verification">gentoo_mkl</docanchor>
    <docanchor file="verification">intro</docanchor>
    <docanchor file="verification">windows</docanchor>
    <docanchor file="verification">unix</docanchor>
    <docanchor file="verification">cygwin_acml</docanchor>
    <docanchor file="verification">cygwin</docanchor>
    <docanchor file="verification">suse_netlib</docanchor>
    <docanchor file="verification">mingw_netlib</docanchor>
    <docanchor file="verification">msvc_mkl</docanchor>
    <docanchor file="verification">sunos59</docanchor>
    <docanchor file="verification">suse_mkl</docanchor>
    <docanchor file="verification">rhel</docanchor>
    <docanchor file="verification">linux</docanchor>
    <docanchor file="verification">mingw_acml</docanchor>
    <docanchor file="verification">gentoo_atlas</docanchor>
  </compound>
  <compound kind="page">
    <name>verification_old</name>
    <title>SimFQT Supported Systems (Previous Releases)</title>
    <filename>verification_old</filename>
    <docanchor file="verification_old">simfqt_3_8_1</docanchor>
    <docanchor file="verification_old">simfqt_3_9_0</docanchor>
    <docanchor file="verification_old">simfqt_3_9_1</docanchor>
  </compound>
  <compound kind="page">
    <name>tutorials</name>
    <title>Tutorials</title>
    <filename>tutorials</filename>
    <docanchor file="tutorials">tut_how_fare_quoting_result</docanchor>
    <docanchor file="tutorials">tut_how_fare_quoting_file</docanchor>
    <docanchor file="tutorials">tut_procedure_results</docanchor>
    <docanchor file="tutorials">tut_how_fare_quoting</docanchor>
    <docanchor file="tutorials">tut_configuration</docanchor>
    <docanchor file="tutorials">tut_how_build_fare_file</docanchor>
    <docanchor file="tutorials">tut_procedure_summary</docanchor>
    <docanchor file="tutorials">tut_procedure</docanchor>
    <docanchor file="tutorials">tut_toc</docanchor>
  </compound>
  <compound kind="page">
    <name>FQTTestSuite_cpp</name>
    <title>Command-Line Test to Demonstrate How To Test the SimFQT Project</title>
    <filename>FQTTestSuite_cpp</filename>
  </compound>
  <compound kind="class">
    <name>boost::spirit::qi::grammar</name>
    <filename>classboost_1_1spirit_1_1qi_1_1grammar.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::CmdAbstract</name>
    <filename>classstdair_1_1CmdAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::FacServiceAbstract</name>
    <filename>classstdair_1_1FacServiceAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::FileNotFoundException</name>
    <filename>classstdair_1_1FileNotFoundException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::InputFilePath</name>
    <filename>classstdair_1_1InputFilePath.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ObjectNotFoundException</name>
    <filename>classstdair_1_1ObjectNotFoundException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ParsingFileFailedException</name>
    <filename>classstdair_1_1ParsingFileFailedException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::RootException</name>
    <filename>classstdair_1_1RootException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ServiceAbstract</name>
    <filename>classstdair_1_1ServiceAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::StructAbstract</name>
    <filename>classstdair_1_1StructAbstract.html</filename>
  </compound>
  <compound kind="namespace">
    <name>SIMFQT</name>
    <filename>namespaceSIMFQT.html</filename>
    <class kind="struct">SIMFQT::FareRuleStruct</class>
    <class kind="class">SIMFQT::FareParser</class>
    <class kind="class">SIMFQT::FareRuleFileParser</class>
    <class kind="class">SIMFQT::FareQuoter</class>
    <class kind="class">SIMFQT::FareRuleGenerator</class>
    <class kind="class">SIMFQT::FacSimfqtServiceContext</class>
    <class kind="class">SIMFQT::SIMFQT_ServiceContext</class>
    <class kind="class">SIMFQT::SIMFQT_Service</class>
    <class kind="class">SIMFQT::FareFileParsingFailedException</class>
    <class kind="class">SIMFQT::AirportPairNotFoundException</class>
    <class kind="class">SIMFQT::PosOrChannelNotFoundException</class>
    <class kind="class">SIMFQT::FlightDateNotFoundException</class>
    <class kind="class">SIMFQT::FlightTimeNotFoundException</class>
    <class kind="class">SIMFQT::FeaturesNotFoundException</class>
    <class kind="class">SIMFQT::AirlineNotFoundException</class>
    <class kind="class">SIMFQT::FareInputFileNotFoundException</class>
    <class kind="class">SIMFQT::QuotingException</class>
    <class kind="class">SIMFQT::FareFilePath</class>
    <namespace>SIMFQT::FareParserHelper</namespace>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>FareQuoteID_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>a67bd5ce989f1df86bbe9eb5e392166e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; SIMFQT_Service &gt;</type>
      <name>SIMFQT_ServicePtr_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>d021582382e80eb46bd161624d7f025e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_FARE_QUOTER_ID</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>e62218d6e388b9291db1135443cb9b79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_FARE_QUOTER_ID</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>e62218d6e388b9291db1135443cb9b79</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareRuleStruct</name>
    <filename>structSIMFQT_1_1FareRuleStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type></type>
      <name>FareRuleStruct</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>398d5a741a97b4d942ac47938d99c31c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SIMFQT::FareQuoteID_T</type>
      <name>getFareID</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>84ca4701fe406c094b5035f0b97200a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirportCode_T</type>
      <name>getOrigin</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>401b5e3faa771b705ed4229e9836bbc7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirportCode_T</type>
      <name>getDestination</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>bc78d1f78db93a3af31a6f7061736730</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::TripType_T</type>
      <name>getTripType</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>bb218daf3f588b08448988cfc75006c8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a15c4b08e0bd3c24b2f63201a88c317b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ea7426f06ef7e357784f7c356ddaa66f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTimeRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8ff151b694642eef06998109af451b0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTimeRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>e4b715d72db27e7a88ea310332b5896f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::CabinCode_T</type>
      <name>getCabinCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>79844dffd6f3714f9611128bc21eba8e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const stdair::CityCode_T</type>
      <name>getPOS</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>bce69f17bad4ccc594bfee8a802b6a92</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ChannelLabel_T</type>
      <name>getChannel</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>79e9f2387521910c920e9a1f6dd15d17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::DayDuration_T</type>
      <name>getAdvancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>1b3caa1e4622383039739ca6802a91ae</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::SaturdayStay_T</type>
      <name>getSaturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>4d500b7dd0e869d077d5277fa6e9681f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ChangeFees_T</type>
      <name>getChangeFees</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>06b3f0fffcc6b5877a430174202fa927</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::NonRefundable_T</type>
      <name>getNonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>0c752f40d65558e18fef2855669a3355</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::DayDuration_T</type>
      <name>getMinimumStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8cdc06e928c5812d4113cd858c29592f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::PriceValue_T</type>
      <name>getFare</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>92e423cc54575fbe89cb4553c003104c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirlineCode_T</type>
      <name>getAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>e825b835d05577d03cd78b4921eaae99</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ClassCode_T</type>
      <name>getClassCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8a524855e805e0f1da7c03cd2234dc8c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getAirlineListSize</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>86b8470106a57cbf16e34ab93ac29251</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getClassCodeListSize</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>513de6fb01b4d2e3fb4b431692fbbe53</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirlineCodeList_T</type>
      <name>getAirlineList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>bf1aa646cb09e2c4216af8fc44468a7d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ClassList_StringList_T</type>
      <name>getClassCodeList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8a387898222a235b0f3b6452c261c8d4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>calculateDate</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>b6dac31b1e922651e3897c3a8bd7645c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>calculateTime</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>89f073a47370174fe5a3f2564d4b1345</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>338ed06bf45a282b9f38b31c2f39bb86</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFareID</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>706bc9d16632948dbb6db556f1e66b68</anchor>
      <arglist>(const SIMFQT::FareQuoteID_T &amp;iFareQuoteID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrigin</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8251ca7647645de6d57a6cef1a6f7bac</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iOrigin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDestination</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>4f807cad1b6fcf9e866f9bd51b0e05ce</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iDestination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTripType</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>c67f12ad713f41fed8c2542fb6abe92e</anchor>
      <arglist>(const stdair::TripType_T &amp;iTripType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>eaea40903b47f05c42a47731a24f4ff4</anchor>
      <arglist>(const stdair::Date_T &amp;iDateRangeStart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>57a3bb002c549ce93e24159590c8b594</anchor>
      <arglist>(const stdair::Date_T &amp;iDateRangeEnd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>63430a4c3c3f4e0f5f4f58c12991669f</anchor>
      <arglist>(const stdair::Duration_T &amp;iTimeRangeStart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>cfb81214b76bdac23a1bda789b756f94</anchor>
      <arglist>(const stdair::Duration_T &amp;iTimeRangeEnd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCabinCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>f08eff0b086f0e7eaee89b474279769b</anchor>
      <arglist>(const stdair::CabinCode_T &amp;iCabinCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPOS</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>69f1dc2f14c8fe8b943202f68dc50e0f</anchor>
      <arglist>(const stdair::CityCode_T &amp;iPOS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChannel</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>d640c51f932d979d11721627a11ac7c5</anchor>
      <arglist>(const stdair::ChannelLabel_T &amp;iChannel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAdvancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>3ac417da0722aaf56551e52f0ad79af0</anchor>
      <arglist>(const stdair::DayDuration_T &amp;iAdvancePurchase)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8ec870464bc9dd488219bb70fc90ab63</anchor>
      <arglist>(const stdair::SaturdayStay_T &amp;iSaturdayStay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChangeFees</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>9ddc41c76cc230e1d99291e588649b24</anchor>
      <arglist>(const stdair::ChangeFees_T &amp;iChangeFees)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>6c901384b1f73ea3a990428faa074f88</anchor>
      <arglist>(const stdair::NonRefundable_T &amp;iNonRefundable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinimumStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>bad4019669778869784517677b25cdc6</anchor>
      <arglist>(const stdair::DayDuration_T &amp;iMinimumStay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFare</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>3b8652a8e39e2de031b287a96b92cdec</anchor>
      <arglist>(const stdair::PriceValue_T &amp;iFare)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>fcb7eed3a1315217fe95f9c3cfc59ab7</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setClassCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a4d0cb7629d72d91ff513f02f7705506</anchor>
      <arglist>(const stdair::ClassCode_T &amp;iClassCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAirlineCodeList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>02dbb1f253fb3758263e3c08cc55f093</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearClassCodeList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>d555b036baef897969d911639831f52d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>6998581d258f144d06812f8243e43d42</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addClassCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>aeb28d9096dfad6226cb512f02cb722b</anchor>
      <arglist>(const stdair::ClassCode_T &amp;iClassCode)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_t</type>
      <name>_itYear</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>2a3a88ced97fe7821ddbde3b54eb5c33</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_t</type>
      <name>_itMonth</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8d9cc15740d73b0474e1d0f99d305dcb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_t</type>
      <name>_itDay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8a5f5026f3dcef75d0112f9fb5ee368e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_t</type>
      <name>_itHours</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>bfd4a96e6f80ec38842cdd0d718c4a06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_t</type>
      <name>_itMinutes</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>9de1da206a475b907bf9345f9d0c6e28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_t</type>
      <name>_itSeconds</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ce51b2135c56aacae616b3bca9fb36f4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareParser</name>
    <filename>classSIMFQT_1_1FareParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>fareRuleGeneration</name>
      <anchorfile>classSIMFQT_1_1FareParser.html</anchorfile>
      <anchor>36c5fec78bfcd099e8fddd5f27f8aebd</anchor>
      <arglist>(const FareFilePath &amp;, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareRuleFileParser</name>
    <filename>classSIMFQT_1_1FareRuleFileParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function">
      <type></type>
      <name>FareRuleFileParser</name>
      <anchorfile>classSIMFQT_1_1FareRuleFileParser.html</anchorfile>
      <anchor>bbe8a32f1734d2a44c51db09decc8a26</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generateFareRules</name>
      <anchorfile>classSIMFQT_1_1FareRuleFileParser.html</anchorfile>
      <anchor>d230c396a5cd82497b578cf6b3893c2d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareQuoter</name>
    <filename>classSIMFQT_1_1FareQuoter.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1FareQuoter.html</anchorfile>
      <anchor>9cb1baf35434c16ee878c918161f6398</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareRuleGenerator</name>
    <filename>classSIMFQT_1_1FareRuleGenerator.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FareFileParser</name>
      <anchorfile>classSIMFQT_1_1FareRuleGenerator.html</anchorfile>
      <anchor>f25f1e3809488cdb920185c8eecd8950</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>FareParserHelper::doEndFare</name>
      <anchorfile>classSIMFQT_1_1FareRuleGenerator.html</anchorfile>
      <anchor>96fcee6ae75b409c30cd95b7ceb7a600</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FareParser</name>
      <anchorfile>classSIMFQT_1_1FareRuleGenerator.html</anchorfile>
      <anchor>65f3f484a2c371f0bddfaea1a1c4b79b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FacSimfqtServiceContext</name>
    <filename>classSIMFQT_1_1FacSimfqtServiceContext.html</filename>
    <base>stdair::FacServiceAbstract</base>
    <member kind="function">
      <type></type>
      <name>~FacSimfqtServiceContext</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>7cd7cb2d92103b6792f187677a63766d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SIMFQT_ServiceContext &amp;</type>
      <name>create</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>c970aace7ec8c18360fd2f3d32986ff6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FacSimfqtServiceContext &amp;</type>
      <name>instance</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>ab5446fe56b5847b7e23c99883602f21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacSimfqtServiceContext</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>3a1d01307fd91b873ead0943dff2ca94</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::SIMFQT_ServiceContext</name>
    <filename>classSIMFQT_1_1SIMFQT__ServiceContext.html</filename>
    <base>stdair::ServiceAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__ServiceContext.html</anchorfile>
      <anchor>9cb1baf35434c16ee878c918161f6398</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacSimfqtServiceContext</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__ServiceContext.html</anchorfile>
      <anchor>20fb6f306d8586d9c3ebb1896f625bd0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::SIMFQT_Service</name>
    <filename>classSIMFQT_1_1SIMFQT__Service.html</filename>
    <member kind="function">
      <type></type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a286fc3595439543e95935ffb7984712</anchor>
      <arglist>(const stdair::BasLogParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>7d5eacd86af06ca155c91f4ea785ddcc</anchor>
      <arglist>(const stdair::BasLogParams &amp;, const stdair::BasDBParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>f2a8f661247d033a2385c152d891d389</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T ioSTDAIR_ServicePtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>ae85a7021cc174f99cd975d2a587bed2</anchor>
      <arglist>(const FareFilePath &amp;iFareFilename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>009718ff4476d7f023e0193b3213dd01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleBom</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>abc2246d85e2fbed28b2222c2cb22ba5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clonePersistentBom</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>d70c01195a3583b9972a1233f903e4ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildComplementaryLinks</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>fa667979d077c9ea3598182551de37a9</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function">
      <type>stdair::BookingRequestStruct</type>
      <name>buildBookingRequest</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>28f90bc87c1e013e23f9928377a356f4</anchor>
      <arglist>(const bool isForCRS=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleTravelSolutions</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>d65d9567a0227e24fa0556556dc6d0f4</anchor>
      <arglist>(stdair::TravelSolutionList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>quotePrices</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>66c92e88225ad859c2f7d9af6c497fa3</anchor>
      <arglist>(const stdair::BookingRequestStruct &amp;, stdair::TravelSolutionList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>760441d1a1a5c4c3500632aecee2a959</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>34e768e2856ae20d8d327f4437122b47</anchor>
      <arglist>(const stdair::TravelSolutionList_T &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>cfaab19c349e2935add3311e6d3fe6f7</anchor>
      <arglist>(const stdair::AirportCode_T &amp;ioOrigin, const stdair::AirportCode_T &amp;ioDestination, const stdair::Date_T &amp;ioDepartureDate) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>list</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>7562c7cb169956eb5ad2d4d8db537464</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>check</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>d0c65bd3947b9fabd3b9d7a262121349</anchor>
      <arglist>(const stdair::AirportCode_T &amp;ioOrigin, const stdair::AirportCode_T &amp;ioDestination, const stdair::Date_T &amp;ioDepartureDate) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareFileParsingFailedException</name>
    <filename>classSIMFQT_1_1FareFileParsingFailedException.html</filename>
    <base>stdair::ParsingFileFailedException</base>
    <member kind="function">
      <type></type>
      <name>FareFileParsingFailedException</name>
      <anchorfile>classSIMFQT_1_1FareFileParsingFailedException.html</anchorfile>
      <anchor>fbeccd5f4cba09eb1a4a62e7412010a2</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::AirportPairNotFoundException</name>
    <filename>classSIMFQT_1_1AirportPairNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>AirportPairNotFoundException</name>
      <anchorfile>classSIMFQT_1_1AirportPairNotFoundException.html</anchorfile>
      <anchor>8d5bba0eb24fea7adccff257e8ceef11</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::PosOrChannelNotFoundException</name>
    <filename>classSIMFQT_1_1PosOrChannelNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>PosOrChannelNotFoundException</name>
      <anchorfile>classSIMFQT_1_1PosOrChannelNotFoundException.html</anchorfile>
      <anchor>584296e51be68e8b21f3fbb4f4eaec79</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FlightDateNotFoundException</name>
    <filename>classSIMFQT_1_1FlightDateNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FlightDateNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FlightDateNotFoundException.html</anchorfile>
      <anchor>9635e8b5e47cba0230232283af22ae74</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FlightTimeNotFoundException</name>
    <filename>classSIMFQT_1_1FlightTimeNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FlightTimeNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FlightTimeNotFoundException.html</anchorfile>
      <anchor>6cad99c7e594fedbd8c3537136469e1f</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FeaturesNotFoundException</name>
    <filename>classSIMFQT_1_1FeaturesNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FeaturesNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FeaturesNotFoundException.html</anchorfile>
      <anchor>ce0daecd58c300ffbbe3d622bdebd148</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::AirlineNotFoundException</name>
    <filename>classSIMFQT_1_1AirlineNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>AirlineNotFoundException</name>
      <anchorfile>classSIMFQT_1_1AirlineNotFoundException.html</anchorfile>
      <anchor>e7ebf1bfe63ac17e8610ea765d72855f</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareInputFileNotFoundException</name>
    <filename>classSIMFQT_1_1FareInputFileNotFoundException.html</filename>
    <base>stdair::FileNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FareInputFileNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FareInputFileNotFoundException.html</anchorfile>
      <anchor>d5e0999cd5a737658c278923f614bf93</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::QuotingException</name>
    <filename>classSIMFQT_1_1QuotingException.html</filename>
    <base>stdair::RootException</base>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareFilePath</name>
    <filename>classSIMFQT_1_1FareFilePath.html</filename>
    <base>stdair::InputFilePath</base>
    <member kind="function">
      <type></type>
      <name>FareFilePath</name>
      <anchorfile>classSIMFQT_1_1FareFilePath.html</anchorfile>
      <anchor>e9f9b9f8179de0d4c8de5027a48a241c</anchor>
      <arglist>(const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SIMFQT::FareParserHelper</name>
    <filename>namespaceSIMFQT_1_1FareParserHelper.html</filename>
    <class kind="struct">SIMFQT::FareParserHelper::FareRuleParser</class>
    <class kind="struct">SIMFQT::FareParserHelper::ParserSemanticAction</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFareId</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeOrigin</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDestination</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeTripType</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeStart</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeEnd</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeStartRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeEndRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storePOS</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeCabinCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChannel</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAdvancePurchase</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeSaturdayStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChangeFees</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeNonRefundable</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeMinimumStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFare</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAirlineCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeClass</class>
    <class kind="struct">SIMFQT::FareParserHelper::doEndFare</class>
    <member kind="variable">
      <type>stdair::int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>cb66e621b08e7b735f997bbc528c834a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>5ef4a3968127433342eebee515dc3b03</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>52250555469629787e97ec9b593cee15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>1e1833ca22c280add43589a9bf02d032</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_p_t</type>
      <name>hour_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>5fd21c5cb01a01502a5612f96ffced82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_p_t</type>
      <name>minute_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>7e17b1ab55f3c1116ba4462b9583d82f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_p_t</type>
      <name>second_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>17730b7872d3a8b13ee7c9456be0e677</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>1ffab1b32a16c2b9e5ebcb94e5e88d1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>62a9e1f6547aa6d645fefe2f6acfc984</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>4abb57303e9c192ea2f03b3837b976b0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::FareRuleParser</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</filename>
    <templarg>Iterator</templarg>
    <base>boost::spirit::qi::grammar</base>
    <member kind="function">
      <type></type>
      <name>FareRuleParser</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>423f3505c4927c78957eef0e47085b24</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, FareRuleStruct &amp;iofareRule)</arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>start</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>325b4c550bf1812c3d68edca8c3b6a52</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>comments</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>3eed4033e2bea179efb722b5cb14e495</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_rule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>6a6442996b2930dd031d54c1704159a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_rule_end</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>ba4f068141480596634fdaae1579d776</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_key</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>c38258904309e5224609decc5d29bb0e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_id</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>904f5ff070daebc9a40ee90e1511cafb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>origin</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>e1d4d1f2c828bb169575a2aa44c942a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>destination</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>2d05ce7d11a206ccfcfcf450d4e05a9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>tripType</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>e52c1565ea5a574605ef9ab474949145</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>7b38cf451f1e4000e5f1c77c00df5db7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>ffe575d8bcbae4aa455d472b04ed846b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>date</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>c3edafd3b94bf6ae769d2588b5454814</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>0e12147dcb81d5e29f0475b8b42c235b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>af4a58a44d5d79b4bbb0d3d5d825fbb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>time</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>9e03d094331f80178d7a34a424270aee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>point_of_sale</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>0cb3d91ba45aab37ba57cf733240f93b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>cabinCode</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>df9ef07ae87536c9012579618caacc52</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>channel</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>5171488e22d7ed111c87eece010c7391</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>advancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>e7d45c001fb48e04c5a89b04e1759edc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>saturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>1f9a844ef5d8902f6d2907ee68a4de77</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>changeFees</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>3dd4a0eac585fc0ba6ba737834d68a99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>nonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a3cd945ccf35e729aa495b746cb5950a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>minimumStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>53c5e76f58e2472fc8a1ddf39ba143b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>cc6cd330fec6950e9ba4a9eaeac23257</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>segment</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>9f4af5d36433044f42f6e83fe1b3258a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>9e3323dabe8ef48b1aaa376b49f1e501</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>b3e321aa2c1aa073e4369b321494d4c8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::ParserSemanticAction</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>9da425c1e0c10fba4cc61bf74fb06624</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeFareId</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeFareId.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFareId</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFareId.html</anchorfile>
      <anchor>9ff568c724281ab0a3c02f66805cb991</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFareId.html</anchorfile>
      <anchor>ba5447abae40eec30ab78f898b2e61ab</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeOrigin</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeOrigin.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOrigin</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>f8f1fcfc35061093fcef22fd0bdb4f8e</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>1ab3809d8ed224f88da898a74d2ec8af</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeDestination</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeDestination.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDestination</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>a07abb462f3bf39bd6b7ae7d35f2264e</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>85c539ee313a3cd3767f69f7d1e94dc3</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeTripType</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeTripType.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeTripType</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeTripType.html</anchorfile>
      <anchor>419e3fc8d1d3bb0444e95f6e8f5adc73</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeTripType.html</anchorfile>
      <anchor>fec95e1fa6914250d50ecee922f306f6</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeDateRangeStart</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeStart.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>0d2df0f8b01941aaf69046d6c847a1e0</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>c7d2f564250c2ca2b54f7d3a627b88e1</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeDateRangeEnd</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeEnd.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>9f4651721526ec530a2e994f03b715d7</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>f63414848c59d9ba84289e8e35096464</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeStartRangeTime</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeStartRangeTime.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeStartRangeTime</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>a83dde0a4495835150119b0cfc5f93bd</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>ac80dec1d92c9776bb8e8b6af0fa050e</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeEndRangeTime</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeEndRangeTime.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeEndRangeTime</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>b0ac7a0d214031b63fba65bff7d573ff</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>bfddfa856ac3a532db453805593b8924</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storePOS</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storePOS.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storePOS</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storePOS.html</anchorfile>
      <anchor>66448472a49565be28e08c3c0a2df1cc</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storePOS.html</anchorfile>
      <anchor>bef44fa3295a84656bf53704836bf8d9</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeCabinCode</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeCabinCode.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCabinCode</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>b8a144c9d5d6fdfc1ea00d9b1bd78a1d</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>249aed88366e85b80fc28916ad7f9cec</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeChannel</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeChannel.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeChannel</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>15897bb9da06ba37cef4349b478dbc9b</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>95efd21d9f761b8513a4fd84d6ea61e1</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeAdvancePurchase</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeAdvancePurchase.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAdvancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAdvancePurchase.html</anchorfile>
      <anchor>5d4d79836bff4318a0926d09622a109c</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAdvancePurchase.html</anchorfile>
      <anchor>928d2b457955b32a5d1a7c77d8ebf7e8</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeSaturdayStay</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeSaturdayStay.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSaturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeSaturdayStay.html</anchorfile>
      <anchor>61326556738b7c8d547d624f5e9f5723</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeSaturdayStay.html</anchorfile>
      <anchor>b294a39bf3f0688ffd598ee87f0f9dd3</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeChangeFees</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeChangeFees.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeChangeFees</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChangeFees.html</anchorfile>
      <anchor>4a04722caa692cd6684632831c1b589d</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChangeFees.html</anchorfile>
      <anchor>7a3fbffffbf0227251e8b15d8fa3fe99</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeNonRefundable</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeNonRefundable.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeNonRefundable.html</anchorfile>
      <anchor>209b484ba18f995841dab8e15bafdb9f</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeNonRefundable.html</anchorfile>
      <anchor>5d862cd679649d661720bf3f924b40f5</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeMinimumStay</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeMinimumStay.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeMinimumStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeMinimumStay.html</anchorfile>
      <anchor>46b12577bfeac5d6612c1db540c26d8f</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeMinimumStay.html</anchorfile>
      <anchor>cba5dc219ea8ff367a487c0183ff867b</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeFare</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeFare.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFare</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFare.html</anchorfile>
      <anchor>b8a8973427da9945e0607b79f2776412</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFare.html</anchorfile>
      <anchor>fc8d57b581ceb3e59cfb27d4eb3e08b2</anchor>
      <arglist>(double, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeAirlineCode</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeAirlineCode.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>cb41b6896ec5df9390ed9c6799f3cf71</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>c5962acf270e71e2bd9576f1626e4476</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeClass</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeClass.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClass</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeClass.html</anchorfile>
      <anchor>6c299b310f6c17de83e3343b24bda460</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeClass.html</anchorfile>
      <anchor>4bb30ec0a4842f8c57b02ebabe8bf2f4</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::doEndFare</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndFare</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</anchorfile>
      <anchor>229bbf7a28de2f58dad1ac020a17a906</anchor>
      <arglist>(stdair::BomRoot &amp;, FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</anchorfile>
      <anchor>b7a29245e64547b878b4d54d9784d9ed</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</anchorfile>
      <anchor>2c05a57d4a0daa882cde165443a12007</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>c26c0f99e8950f5189db4d770a1bba75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>stdair</name>
    <filename>namespacestdair.html</filename>
  </compound>
  <compound kind="dir">
    <name>simfqt/basic/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/basic/</path>
    <filename>dir_3946eb8d897388615460819ed9660816.html</filename>
    <file>BasConst.cpp</file>
    <file>BasConst_General.hpp</file>
    <file>BasConst_SIMFQT_Service.hpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/batches/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/batches/</path>
    <filename>dir_402220ed716b10b20f4c157d51420da5.html</filename>
    <file>simfqt_parseFareRules.cpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/bom/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/bom/</path>
    <filename>dir_c825eb625fdc7318e629fa315091320b.html</filename>
    <file>FareRuleStruct.cpp</file>
    <file>FareRuleStruct.hpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/ui/cmdline/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/ui/cmdline/</path>
    <filename>dir_ceacb6c0f9cfea35e40dd8def8c3e306.html</filename>
    <file>simfqt.cpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/command/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/command/</path>
    <filename>dir_e78f05ea6c89375f0a37521a7d7e2a92.html</filename>
    <file>FareParser.cpp</file>
    <file>FareParser.hpp</file>
    <file>FareParserHelper.cpp</file>
    <file>FareParserHelper.hpp</file>
    <file>FareQuoter.cpp</file>
    <file>FareQuoter.hpp</file>
    <file>FareRuleGenerator.cpp</file>
    <file>FareRuleGenerator.hpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/factory/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/factory/</path>
    <filename>dir_3350fa336b20b0fe2afbefe31780a76c.html</filename>
    <file>FacSimfqtServiceContext.cpp</file>
    <file>FacSimfqtServiceContext.hpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/service/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/service/</path>
    <filename>dir_2bb968568cdb1906e557babcc6df51b8.html</filename>
    <file>SIMFQT_Service.cpp</file>
    <file>SIMFQT_ServiceContext.cpp</file>
    <file>SIMFQT_ServiceContext.hpp</file>
  </compound>
  <compound kind="dir">
    <name>test/simfqt/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/test/simfqt/</path>
    <filename>dir_7b694428c3a74e9a753c7365b0ba0e2d.html</filename>
    <file>FQTTestSuite.cpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/</path>
    <filename>dir_b534bc6ce972f904e236c1c84ed868c4.html</filename>
    <dir>simfqt/basic/</dir>
    <dir>simfqt/batches/</dir>
    <dir>simfqt/bom/</dir>
    <dir>simfqt/command/</dir>
    <dir>simfqt/factory/</dir>
    <dir>simfqt/service/</dir>
    <dir>simfqt/ui/</dir>
    <file>SIMFQT_Service.hpp</file>
    <file>SIMFQT_Types.hpp</file>
  </compound>
  <compound kind="dir">
    <name>test/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/test/</path>
    <filename>dir_7412f2c9217480b3ba408de3fd1dcfef.html</filename>
    <dir>test/simfqt/</dir>
  </compound>
  <compound kind="dir">
    <name>simfqt/ui/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.0/simfqt/ui/</path>
    <filename>dir_2a4222fc81769a1314e2fe402e688ec2.html</filename>
    <dir>simfqt/ui/cmdline/</dir>
  </compound>
</tagfile>
